unit Unit5;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, FileCtrl, StdCtrls, Buttons, IniFiles;

type
  TForm5 = class(TForm)
    FileListBox1: TFileListBox;
    Label1: TLabel;
    DriveComboBox1: TDriveComboBox;
    BitBtn1: TBitBtn;
    Label2: TLabel;
    Edit1: TEdit;
    Label3: TLabel;
    DirectoryListBox1: TDirectoryListBox;
    Label4: TLabel;
    FilterComboBox1: TFilterComboBox;
    BitBtn2: TBitBtn;
    procedure FileListBox1DblClick(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure DirectoryListBox1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form5: TForm5;

implementation

uses Unit1;

{$R *.dfm}

procedure TForm5.FileListBox1DblClick(Sender: TObject);
begin
    edit1.Text :=ExtractFileName(FileListBox1.FileName);
end;

procedure TForm5.BitBtn2Click(Sender: TObject);
begin
  Form5.Close;
end;

procedure TForm5.BitBtn1Click(Sender: TObject);
Var
  filename:String;
begin
  if edit1.Text<>'' then
  begin
    filename:=DirectoryListBox1.Directory+'\'+edit1.Text;
    //filename:=DirectoryListBox1.Directory+'\system.ini';
    myinifile:=TInifile.Create(filename);
    //myinifile:=TInifile.Create(edit1.Text);
    Form1.ComboBox3.Text:=inttostr(myinifile.Readinteger('Basic','LBP',10));
    Form1.edit1.Text:=inttostr(myinifile.Readinteger('Basic','LC',10));
    Form1.edit2.Text:=inttostr(myinifile.Readinteger('Basic','ALC0',10));
    Form1.edit3.Text:=inttostr(myinifile.Readinteger('Basic','ALC1',10));
    Form1.edit4.Text:=inttostr(myinifile.Readinteger('Basic','ALC2',10));
    Form1.edit5.Text:=inttostr(myinifile.Readinteger('Basic','ALC3',10));
    Form1.edit6.Text:=inttostr(myinifile.Readinteger('Basic','ALC4',10));
    Form1.edit7.Text:=inttostr(myinifile.Readinteger('Basic','ALC5',10));
    Form1.edit8.Text:=inttostr(myinifile.Readinteger('Basic','ALC6',10));
    Form1.edit9.Text:=inttostr(myinifile.Readinteger('Basic','ALC7',10));
    Form1.edit10.Text:=inttostr(myinifile.Readinteger('Basic','ALC8',10));
    Form1.edit11.Text:=inttostr(myinifile.Readinteger('Basic','ALC9',10));
    Form1.edit12.Text:=inttostr(myinifile.Readinteger('Basic','ALBP0',10));
    Form1.edit13.Text:=inttostr(myinifile.Readinteger('Basic','ALBP1',10));
    Form1.edit14.Text:=inttostr(myinifile.Readinteger('Basic','ALBP2',10));
    Form1.edit15.Text:=inttostr(myinifile.Readinteger('Basic','ALBP3',10));
    Form1.edit16.Text:=inttostr(myinifile.Readinteger('Basic','ALBP4',10));
    Form1.edit17.Text:=inttostr(myinifile.Readinteger('Basic','ALBP5',10));
    Form1.edit18.Text:=inttostr(myinifile.Readinteger('Basic','ALBP6',10));
    Form1.edit19.Text:=inttostr(myinifile.Readinteger('Basic','ALBP7',10));
    Form1.edit20.Text:=inttostr(myinifile.Readinteger('Basic','ALBP8',10));
    Form1.edit21.Text:=inttostr(myinifile.Readinteger('Basic','ALBP9',10));
    Form1.ComboBox4.ItemIndex:=myinifile.Readinteger('Basic','WD',10);
    Form1.ComboBox5.ItemIndex:= myinifile.Readinteger('Basic','SMM',0);
    Form1.edit22.Text:=inttostr(myinifile.Readinteger('Basic','SMS',10));
    Form1.ComboBox6.ItemIndex:= myinifile.Readinteger('Pedal Assist','PT',0);
    Form1.ComboBox7.ItemIndex:= myinifile.Readinteger('Pedal Assist','DA',0);
    Form1.ComboBox8.ItemIndex:= myinifile.Readinteger('Pedal Assist','SL',0);
    Form1.ComboBox9.ItemIndex:= myinifile.Readinteger('Pedal Assist','SSM',0);
    Form1.ComboBox10.ItemIndex:= myinifile.Readinteger('Pedal Assist','WM',0);
    Form1.edit23.Text:=inttostr(myinifile.Readinteger('Pedal Assist','SC',10));
    Form1.edit24.Text:=inttostr(myinifile.Readinteger('Pedal Assist','SDN',10));
    Form1.edit25.Text:=inttostr(myinifile.Readinteger('Pedal Assist','TS',10));
    Form1.edit26.Text:=inttostr(myinifile.Readinteger('Pedal Assist','CD',10));
    Form1.edit27.Text:=inttostr(myinifile.Readinteger('Pedal Assist','SD',10));
    Form1.edit31.Text:=inttostr(myinifile.Readinteger('Pedal Assist','KC',10));
    Form1.edit28.Text:=inttostr(myinifile.Readinteger('Throttle Handle','SV',10));
    Form1.edit29.Text:=inttostr(myinifile.Readinteger('Throttle Handle','EV',10));
    Form1.ComboBox11.ItemIndex:= myinifile.Readinteger('Throttle Handle','MODE',0);
    Form1.ComboBox12.ItemIndex:= myinifile.Readinteger('Throttle Handle','DA',0);
    Form1.ComboBox13.ItemIndex:= myinifile.Readinteger('Throttle Handle','SL',0);
    Form1.edit30.Text:=inttostr(myinifile.Readinteger('Throttle Handle','SC',10));
    myinifile.Destroy;
    Form5.Close;
  end;
end;

procedure TForm5.FormShow(Sender: TObject);
begin
  edit1.Text :=ExtractFileName(FileListBox1.FileName);
end;

procedure TForm5.DirectoryListBox1Change(Sender: TObject);
begin
  edit1.Text :=ExtractFileName(FileListBox1.FileName);
end;

end.
